unit udmBDEBase;

interface

uses
  SysUtils, Classes;

type
  TdmBDEBase = class(TDataModule)
    procedure DataModuleCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

{var
  dmBDEBase: TdmBDEBase;}

implementation

uses
  uDMConnection
  , DBTables
  ;

{$R *.dfm}

procedure TdmBDEBase.DataModuleCreate(Sender: TObject);
var
  DBName: string;
  nComp: integer;
begin
  // Connect queries & tables to the database
  DBName := gDMConnection.DBConnection.DatabaseName;
  for nComp := 0 to Pred(ComponentCount) do
  begin
    if (Components[nComp] is TDBDataSet) then
    begin
      TDBDataSet(Components[nComp]).DatabaseName := DBName;
    end;
  end;
end;

end.
 